
.. index::
   pair: Documentation ; Jekyll
   ! Jekyll

.. _Jekyll:

=======================
Jekyll
=======================


.. seealso::

   - http://jekyllrb.com/






Overview
=========

Jekyll is a simple, blog-aware, static site generator.

It takes a template directory containing raw text files in various formats,
runs it through Markdown (or Textile) and Liquid converters, and spits out a
complete, ready-to-publish static website suitable for serving with your
favorite web server.

Jekyll also happens to be the engine behind GitHub Pages, which means you can
use Jekyll to host your project’s page, blog, or website from GitHub’s servers
for free.


Tools
======

.. toctree::
   :maxdepth: 3

   tools/tools
